package hiro.yoshioka.sql.notes.ddl;

import java.io.File;
import java.io.Serializable;

import hiro.yoshioka.sdh.ResultSetDataHolder;

public abstract class PardefElement implements Serializable {
	private static final long serialVersionUID = 5134968253707822866L;
	String charactors;

	public abstract String toHtmlString(ResultSetDataHolder rdh, int row,
			File imgDir);

	public void setCharactor(String charctors) {
		this.charactors = charctors;
	}

	public abstract String itemToHtmlString();
}
